Qt 5.7 | Qt 3D | C++ Classes | QTextureLoader

Qt 5.7.1 Reference Documentation

# QTextureLoader Class

(Qt3DRender::QTextureLoader)

Inherits: | QAbstractTexture

- List of all members, including inherited members

## Properties

- source : QUrl

- 14 properties inherited from Qt3DRender::QAbstractTexture
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QTextureLoader(Qt3DCore::QNode *parent = nullptr)
QUrl | source() const

- 20 public functions inherited from Qt3DRender::QAbstractTexture
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSource(const QUrl &source)

- 11 public slots inherited from Qt3DRender::QAbstractTexture
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | sourceChanged(const QUrl &source)

- 12 signals inherited from Qt3DRender::QAbstractTexture
- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QAbstractTexture
- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### source : QUrl

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

## Member Function Documentation

### QTextureLoader::QTextureLoader(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTextureLoader.

### `[slot]` void QTextureLoader::setSource(const QUrl &source)

Sets the texture loader source to source. source

Note: Setter function for property source.

See also source().

### QUrl QTextureLoader::source() const

Returns the current texture source.

Note: Getter function for property source.

See also setSource().